loci.formats.in

## Class SlideBook7Reader.CSBFile70

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.CSBFile70

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CSBFile70
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `kAnnotationRecordFilename`
    `static java.lang.String` | `kAuxDataFilename`
    `static java.lang.String` | `kBinaryFileSuffix`
    `static java.lang.String` | `kChannelRecordFilename`
    `static java.lang.String` | `kElapsedTimesFilename`
    `static java.lang.String` | `kImageDirSuffix`
    `static java.lang.String` | `kImageRecordFilename`
    `static java.lang.String` | `kMaskRecordFilename`
    `static int` | `kNumDigitsInTimepoint`
    `static java.lang.String` | `kRootDirSuffix`
    `static java.lang.String` | `kSAPositionDataFilename`
    `static java.lang.String` | `kSlideSuffix`
    `static java.lang.String` | `kStagePositionDataFilename`
    `static java.lang.String` | `kZBinaryFileSuffix`
    `static java.lang.String` | `kZSlideSuffix`
    `boolean` | `mIsCompressed`
    `java.lang.String` | `mSlidePath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSBFile70(java.lang.String inSlidePath)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `GetChannelIndexOfPath(java.lang.String inPath)`
    `java.lang.String` | `GetHistogramDataFile(java.lang.String inTitle, java.lang.Integer inChannel, java.lang.Integer inTimepoint)`
    `java.lang.String` | `GetImageDataFile(java.lang.String inTitle, java.lang.Integer inChannel, java.lang.Integer inTimepoint)`
    `java.lang.String` | `GetImageGroupDirectory(java.lang.String inTitle)`
    `java.lang.String[]` | `GetListOfHistogramDataFiles(java.lang.String inTitle)`
    `java.lang.String[]` | `GetListOfHistogramSummaryFiles(java.lang.String inTitle)`
    `java.lang.String[]` | `GetListOfImageDataFiles(java.lang.String inTitle)`
    `java.lang.String[]` | `GetListOfImageGroupTitles()`
    `java.lang.String[]` | `GetListOfMaskDataFiles(java.lang.String inTitle)`
    `protected java.lang.String[]` | `getListOfNpyDataFiles(java.lang.String inTitle, java.lang.String inStartWith)`
    `java.lang.String` | `GetMaskDataFile(java.lang.String inTitle, java.lang.Integer inTimepoint)`
    `java.lang.String` | `GetSlideRootDirectory()`
    `java.lang.Integer` | `GetTimepointOfPath(java.lang.String inPath)`
    `java.lang.String` | `RenamePathToTimepoint0(java.lang.String inPath)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### kSlideSuffix

          public static final java.lang.String kSlideSuffix

      See Also:
        Constant Field Values

    - #### kZSlideSuffix

          public static final java.lang.String kZSlideSuffix

      See Also:
        Constant Field Values

    - #### kRootDirSuffix

          public static final java.lang.String kRootDirSuffix

      See Also:
        Constant Field Values

    - #### kImageDirSuffix

          public static final java.lang.String kImageDirSuffix

      See Also:
        Constant Field Values

    - #### kBinaryFileSuffix

          public static final java.lang.String kBinaryFileSuffix

      See Also:
        Constant Field Values

    - #### kZBinaryFileSuffix

          public static final java.lang.String kZBinaryFileSuffix

      See Also:
        Constant Field Values

    - #### kImageRecordFilename

          public static final java.lang.String kImageRecordFilename

      See Also:
        Constant Field Values

    - #### kChannelRecordFilename

          public static final java.lang.String kChannelRecordFilename

      See Also:
        Constant Field Values

    - #### kAnnotationRecordFilename

          public static final java.lang.String kAnnotationRecordFilename

      See Also:
        Constant Field Values

    - #### kMaskRecordFilename

          public static final java.lang.String kMaskRecordFilename

      See Also:
        Constant Field Values

    - #### kAuxDataFilename

          public static final java.lang.String kAuxDataFilename

      See Also:
        Constant Field Values

    - #### kElapsedTimesFilename

          public static final java.lang.String kElapsedTimesFilename

      See Also:
        Constant Field Values

    - #### kSAPositionDataFilename

          public static final java.lang.String kSAPositionDataFilename

      See Also:
        Constant Field Values

    - #### kStagePositionDataFilename

          public static final java.lang.String kStagePositionDataFilename

      See Also:
        Constant Field Values

    - #### kNumDigitsInTimepoint

          public static final int kNumDigitsInTimepoint

      See Also:
        Constant Field Values

    - #### mSlidePath

          public java.lang.String mSlidePath

    - #### mIsCompressed

          public boolean mIsCompressed

  - ### Constructor Detail

    - #### CSBFile70

          public CSBFile70(java.lang.String inSlidePath)

  - ### Method Detail

    - #### GetSlideRootDirectory

          public java.lang.String GetSlideRootDirectory()

    - #### GetListOfImageGroupTitles

          public java.lang.String[] GetListOfImageGroupTitles()

    - #### GetImageGroupDirectory

          public java.lang.String GetImageGroupDirectory(java.lang.String inTitle)

    - #### GetImageDataFile

          public java.lang.String GetImageDataFile(java.lang.String inTitle,
                                                   java.lang.Integer inChannel,
                                                   java.lang.Integer inTimepoint)

    - #### GetMaskDataFile

          public java.lang.String GetMaskDataFile(java.lang.String inTitle,
                                                  java.lang.Integer inTimepoint)

    - #### GetHistogramDataFile

          public java.lang.String GetHistogramDataFile(java.lang.String inTitle,
                                                       java.lang.Integer inChannel,
                                                       java.lang.Integer inTimepoint)

    - #### GetChannelIndexOfPath

          public java.lang.Integer GetChannelIndexOfPath(java.lang.String inPath)

    - #### GetTimepointOfPath

          public java.lang.Integer GetTimepointOfPath(java.lang.String inPath)

    - #### RenamePathToTimepoint0

          public java.lang.String RenamePathToTimepoint0(java.lang.String inPath)

    - #### GetListOfImageDataFiles

          public java.lang.String[] GetListOfImageDataFiles(java.lang.String inTitle)

    - #### GetListOfMaskDataFiles

          public java.lang.String[] GetListOfMaskDataFiles(java.lang.String inTitle)

    - #### GetListOfHistogramDataFiles

          public java.lang.String[] GetListOfHistogramDataFiles(java.lang.String inTitle)

    - #### GetListOfHistogramSummaryFiles

          public java.lang.String[] GetListOfHistogramSummaryFiles(java.lang.String inTitle)

    - #### getListOfNpyDataFiles

          protected java.lang.String[] getListOfNpyDataFiles(java.lang.String inTitle,
                                                             java.lang.String inStartWith)

Copyright © 2026 Open Microscopy Environment